Are you still holding onto your old iPhone or iPad from 2012 or earlier? Can’t afford an upgrade or new phone? Or perhaps it works just fine and you are completely satisfied with it and don’t want a new phone. Well you aren’t going to have a choice come Nov. 3.

Apple is warning the owners of older iPhones and iPads to download the latest iOS software update by Sunday, or they could lose their connection to the internet. Those products will need to be updated before midnight UTC on Nov. 3 to maintain access to web browsing, email, iCloud, the App Store, and to maintain an accurate GPS location, according to Apple.

Depending on your device, your software version should be 10.3.4 or 9.3.6.
I’m not surprised this is happening, awhile back I remember there was a conspiracy that Apple was deliberately not allowing older phones to work because they wanted everyone to get a new phone, which of course means more profits to them. But now Apple is stating this is due to a GPS time rollover issue that began affecting GPS-enabled products from other manufacturers on April 6, 2019. Who knows, but make sure you have the latest updated version on your phone or it will not work.